using Hawkeye.VisionBuilder.Workflow;

namespace VisionBuilder.UI.Recipes.HawkeyeRecipe;

public static class WorkflowRecipeHelper
{


    private static string RECIPES_DIR => Path.Combine("..", "Data", "Recipes");
    public static List<string> ListRecipeFiles(string nameFilter)
    {
        Directory.CreateDirectory(RECIPES_DIR);
        var recipes = Directory.GetFiles(RECIPES_DIR, nameFilter+".jhrcp");
        return recipes.ToList();
    }
    


}